org.springframework.http.client

## Interface ClientHttpRequest

All Superinterfaces:
  HttpMessage, HttpOutputMessage, HttpRequest

All Known Implementing Classes:
  AbstractClientHttpRequest, MockClientHttpRequest

    public interface ClientHttpRequest
    extends HttpRequest, HttpOutputMessage

Represents a client-side HTTP request. Created via an implementation of the `ClientHttpRequestFactory`.

A `HttpRequest` can be executed, getting a `ClientHttpResponse` which can be read from.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  `ClientHttpRequestFactory.createRequest(java.net.URI, HttpMethod)`

### Method Summary

Methods
`ClientHttpResponse` `execute()` Execute this request, resulting in a `ClientHttpResponse` that can be read.

### Methods inherited from interface org.springframework.http.HttpRequest

`getMethod, getURI`

### Methods inherited from interface org.springframework.http.HttpOutputMessage

`getBody`

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

### Method Detail

#### execute

    ClientHttpResponse execute()
                               throws IOException

Execute this request, resulting in a `ClientHttpResponse` that can be read.

Returns:
  the response result of the execution
Throws:
  `IOException` - in case of I/O errors